jvx.numeric

## Class PnDiriEnergy

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnFunction
    - - jvx.numeric.PnEnergy
      - - jvx.numeric.PnDiriEnergy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf
  Direct Known Subclasses:
    PnAreaVolEnergy, PnHodgeU, PnHodgeW

      public class PnDiriEnergy
      extends PnEnergy

  Dirichlet energy including gradient and hessian computations.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnDiriEnergy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PdMatrix` | `evalHessian(PdMatrix hessian)` Compute full hessian of Diri energy of a coord vector using the stiffness matrix.
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `initSurface(PgElementSet domain, PgElementSet surface)` Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned.
    `boolean` | `setSurface(PgElementSet domain, PgElementSet surface)` Set domain and surface, and initialize energy structure.

    - ### Methods inherited from class jvx.numeric.PnEnergy

      `computeNormalizedHessian, eval, evalGradient, getConstrain, getNumOfVariables, getSpectrum, getZeroGradientAtBounds, isEnabledConstrainMatrix, isUseConstrainMatrix, setConstrain, setEnabledConstrainMatrix, setUseConstrainMatrix, setZeroGradientAtBounds, testEigenvalues`

    - ### Methods inherited from class jvx.numeric.PnFunction

      `enableEvaluation, isEvaluable`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnDiriEnergy

          public PnDiriEnergy()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnEnergy`

    - #### initSurface

          public void initSurface(PgElementSet domain,
                         PgElementSet surface)

      Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned. E.g. PnDiriEnergy should copy surface into domain if in iteration mode i.e. if dimension of domain and surface are equal.
      Overrides:
        `initSurface` in class `PnEnergy`

    - #### setSurface

          public boolean setSurface(PgElementSet domain,
                           PgElementSet surface)

      Set domain and surface, and initialize energy structure. Method is called from outside whenever domain or surface has been updated.
      Overrides:
        `setSurface` in class `PnEnergy`
      Parameters:
        `domain` - additional geometry used to specify maps
        `surface` - geometry which is usually optimized

    - #### evalHessian

          public PdMatrix evalHessian(PdMatrix hessian)

      Compute full hessian of Diri energy of a coord vector using the stiffness matrix. If argument is `null`, then a new matrix of full size is created and returned. Size of argument is enlarged if necessary. Boundary and deleted vertices are not considered.
      Overrides:
        `evalHessian` in class `PnEnergy`
      Parameters:
        `hessian` - Empty hessian of energy
      Returns:
        Hessian of energy

"

The software JavaView? is copyright protected. All Rights Reserved.
"